classification
Title: More efficient formatting of ints and floats in json
Type: enhancement Stage: resolved
Components: Extension Modules, Library (Lib) Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: amaury.forgeotdarc, barry, cvrebert, eli.bendersky, eric.snow, ethan.furman, ezio.melotti, giampaolo.rodola, gvanrossum, ncoghlan, pitrou, python-dev, rhettinger, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2016-04-09 10:06 by serhiy.storchaka, last changed 2016-04-10 11:52 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
json_int_float_formatting.patch serhiy.storchaka, 2016-04-09 10:06 review
Messages (5)
msg263077 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-04-09 10:06
Proposed patch provide more efficient solution of issue18264. Instead of creating new int or float object and then converting it to string, the patch directly uses functions that does int and float conversion to string.
msg263080 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2016-04-09 10:57
+1 This is a nice improvement.
msg263100 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-04-09 15:14
Please also backport to 3.5.2...

On Saturday, April 9, 2016, Raymond Hettinger <report@bugs.python.org>
wrote:

>
> Raymond Hettinger added the comment:
>
> +1 This is a nice improvement.
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org <javascript:;>>
> <http://bugs.python.org/issue26719>
> _______________________________________
>
msg263102 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-04-09 16:14
There is similar issue with unneeded strings copying: issue26057.
msg263132 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-04-10 11:45
New changeset 4d4febb76864 by Serhiy Storchaka in branch '3.5':
Issue #26719: More efficient formatting of ints and floats in json.
https://hg.python.org/cpython/rev/4d4febb76864

New changeset 36b15a9776ae by Serhiy Storchaka in branch 'default':
Issue #26719: More efficient formatting of ints and floats in json.
https://hg.python.org/cpython/rev/36b15a9776ae
History
Date User Action Args
2016-04-10 11:52:51serhiy.storchakasetstatus: open -> closed
assignee: serhiy.storchaka
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.5
2016-04-10 11:45:45python-devsetmessages: + msg263132
2016-04-09 16:14:47serhiy.storchakasetmessages: + msg263102
2016-04-09 15:14:10gvanrossumsetmessages: + msg263100
2016-04-09 10:57:05rhettingersetmessages: + msg263080
2016-04-09 10:06:03serhiy.storchakacreate